using System.Diagnostics;

namespace RoboidControl {
    /// <summary>
    /// Time manager is een tool mainly to get the current running time in milliseconds
    /// </summary>
    public static class TimeManager {
        private static readonly Stopwatch _stopwatch = new Stopwatch();

        /// <summary>
        /// Static constructor to start the stopwatch
        /// </summary>
        static TimeManager() {
            _stopwatch.Start();
        }

        /// <summary>
        /// Method to get the current time in milliseconds
        /// </summary>
        /// <returns>The current time in milliseconds</returns>
        public static ulong GetCurrentTimeMilliseconds() {
            return (ulong)_stopwatch.ElapsedMilliseconds;
        }
    }
}